Unify and manage your data

Create hierarchy connections

Learn more about how to use the hierarchy connections API to create one or more connections in a hierarchy instance.

Use the Create Hierarchy connections to create new nodes in a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the CREATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/connections

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
parentIdStringYesThe entity ID of the parent object. Either the parent or the child must already be part of the hierarchy that you are modifying.
childIdStringYesThe entity ID of the child object. Either the parent or the child must already be part of the hierarchy that you are modifying.
startDateStringNoThe start effective date of the connection in ISO 8601 date format.
endDateStringNoThe end effective date of the connection in ISO 8601 date format.

Example request

Use the following example to see how a complete request is structured with headers.

POST /{instanceId}/connections
Authorization: Bearer <token>

[
  {
    "parentId": "prtId",
    "childId": "cldId",
    "startDate": "2024-01-01",
    "endDate": "2026-12-31"
  },
  {
    "parentId": "cldId",
    "childId": "grdcldId",
    "startDate": "2024-05-01",
    "endDate": "2025-12-31"
  }
]

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
connectionIdStringThe connection ID.
parentIdStringThe entity ID of the parent object.
childIdStringThe entity ID of the child object.
startDateStringOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringOptional. The end effective date of the connection in ISO 8601 date format.
createdByStringThe username of the user who created the connection.
createdTimeStringThe time when the connection was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the connection.
updatedTimeStringThe time when the connection was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

[
    {
        "connectionId": "connId1",
        "parentId": "prtId1",
        "childId": "cldId1",
        "startDate": "2024-01-01",
        "endDate": "2026-12-32",
        "createdBy": "john.smith@reltio.com",
        "createdTime": "2024-10-10T10:13:30",
        "updatedBy": "john.smith@reltio.com",
        "updatedTime": "2024-10-10T10:15:30"
    },
    {
        "connectionId": "connId2",
        "parentId": "prtId2",
        "childId": "cldId2",
        "startDate": "2025-01-01",
        "endDate": "2027-12-32",
        "createdBy": "john.smith@reltio.com",
        "createdTime": "2024-10-10T10:13:30",
        "updatedBy": "john.smith@reltio.com",
        "updatedTime": "2024-10-10T10:15:30"
    }
]